shishi_ap_authenticator_cksumdata(3)

NAME
shishi_ap_authenticator_cksumdata - API function

SYNOPSIS
#include <shishi.h>

int shishi_ap_authenticator_cksumdata(Shishi_ap * ap, char * out, size_t * len);

ARGUMENTS

Shishi_ap * ap
    structure that holds information about AP exchange

char * out
    output array that holds authenticator checksum data.

size_t * len
    on input, maximum length of output array that holds authenticator checksum data, on output actual length of output array that holds authenticator checksum data.

DESCRIPTION
Get checksum data from Authenticator.

RETURN VALUE
Returns SHISHI_OK if successful, or SHISHI_TOO_SMALL_BUFFER if buffer provided was too small (then len will hold necessary buffer size).

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.